#include "stbplayer.h"
#include "stbtypes.h"
#include "stdlib.h"
#include <stdio.h>
#include <iostream>
#include <signal.h> 
using namespace std;
#define failmsg(state,failmsg) if(state!=STB_STATUS_OK)cerr << failmsg << ", ignoring error " << endl;

HPlayer hPlayer=HANDLE_INVALID;

void deinit()
{
  if(hPlayer!=HANDLE_INVALID)
      STB_ReleasePlayer(hPlayer);
  hPlayer = HANDLE_INVALID;
}

void defaultSigHandler(int signo)
{
    printf("caught signal %x\n",signo);
    deinit();
    exit(0);
} 

void init()
{
    printf("Init player\n"); 
    signal(SIGINT, defaultSigHandler);
    signal(SIGTERM, defaultSigHandler);
    hPlayer = STB_CreatePlayer();
    if( hPlayer == HANDLE_INVALID){
        printf("STB_CreatePlayer() failed\n");
        exit(1);
    }
}

int main(int argc, char * argv[]) {

 init();
 STB_Play(hPlayer,"http://soft.infomir.com.ua/mag200/Video_Samples/avi/house_mp4_mp3.avi");
 while(1)
 {
 }
 return 0;

}

